Communications
Edit an email template
PUT
/
admin
/
auto_emails
/
template
Edit an email template
curl --request PUT \
--url https://api.gratona.com/v1/admin/auto_emails/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emailset_id": 123,
"trigger": "<string>",
"subject": "<string>",
"message": "<string>",
"to": "<string>",
"disabled": true,
"no_email": true,
"id": 123,
"receipt_context": {
"giving_source": "daf",
"recipient_role": "soft_credit"
}
}
'import requests
url = "https://api.gratona.com/v1/admin/auto_emails/template"
payload = {
"emailset_id": 123,
"trigger": "<string>",
"subject": "<string>",
"message": "<string>",
"to": "<string>",
"disabled": True,
"no_email": True,
"id": 123,
"receipt_context": {
"giving_source": "daf",
"recipient_role": "soft_credit"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emailset_id: 123,
trigger: '<string>',
subject: '<string>',
message: '<string>',
to: '<string>',
disabled: true,
no_email: true,
id: 123,
receipt_context: {giving_source: 'daf', recipient_role: 'soft_credit'}
})
};
fetch('https://api.gratona.com/v1/admin/auto_emails/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/auto_emails/template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'emailset_id' => 123,
'trigger' => '<string>',
'subject' => '<string>',
'message' => '<string>',
'to' => '<string>',
'disabled' => true,
'no_email' => true,
'id' => 123,
'receipt_context' => [
'giving_source' => 'daf',
'recipient_role' => 'soft_credit'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/auto_emails/template"
payload := strings.NewReader("{\n \"emailset_id\": 123,\n \"trigger\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"to\": \"<string>\",\n \"disabled\": true,\n \"no_email\": true,\n \"id\": 123,\n \"receipt_context\": {\n \"giving_source\": \"daf\",\n \"recipient_role\": \"soft_credit\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/auto_emails/template")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"emailset_id\": 123,\n \"trigger\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"to\": \"<string>\",\n \"disabled\": true,\n \"no_email\": true,\n \"id\": 123,\n \"receipt_context\": {\n \"giving_source\": \"daf\",\n \"recipient_role\": \"soft_credit\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/auto_emails/template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"emailset_id\": 123,\n \"trigger\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"to\": \"<string>\",\n \"disabled\": true,\n \"no_email\": true,\n \"id\": 123,\n \"receipt_context\": {\n \"giving_source\": \"daf\",\n \"recipient_role\": \"soft_credit\"\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Data needed to edit an email template
The id of the email set
The trigger for the email
The subject of the email
The message of the email
The recipient of the email
Whether the email is disabled
Whether to send the email
The id of the email template
Optional context for the shared soft_credit variant: giving_source=daf and recipient_role=soft_credit rejects enabling an unchanged Standard Donation copy. Missing context preserves ordinary Direct behavior; existing custom content is never rewritten.
Show child attributes
Show child attributes
Response
Successful operation
Success message
⌘I
Edit an email template
curl --request PUT \
--url https://api.gratona.com/v1/admin/auto_emails/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emailset_id": 123,
"trigger": "<string>",
"subject": "<string>",
"message": "<string>",
"to": "<string>",
"disabled": true,
"no_email": true,
"id": 123,
"receipt_context": {
"giving_source": "daf",
"recipient_role": "soft_credit"
}
}
'import requests
url = "https://api.gratona.com/v1/admin/auto_emails/template"
payload = {
"emailset_id": 123,
"trigger": "<string>",
"subject": "<string>",
"message": "<string>",
"to": "<string>",
"disabled": True,
"no_email": True,
"id": 123,
"receipt_context": {
"giving_source": "daf",
"recipient_role": "soft_credit"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emailset_id: 123,
trigger: '<string>',
subject: '<string>',
message: '<string>',
to: '<string>',
disabled: true,
no_email: true,
id: 123,
receipt_context: {giving_source: 'daf', recipient_role: 'soft_credit'}
})
};
fetch('https://api.gratona.com/v1/admin/auto_emails/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/auto_emails/template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'emailset_id' => 123,
'trigger' => '<string>',
'subject' => '<string>',
'message' => '<string>',
'to' => '<string>',
'disabled' => true,
'no_email' => true,
'id' => 123,
'receipt_context' => [
'giving_source' => 'daf',
'recipient_role' => 'soft_credit'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/auto_emails/template"
payload := strings.NewReader("{\n \"emailset_id\": 123,\n \"trigger\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"to\": \"<string>\",\n \"disabled\": true,\n \"no_email\": true,\n \"id\": 123,\n \"receipt_context\": {\n \"giving_source\": \"daf\",\n \"recipient_role\": \"soft_credit\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/auto_emails/template")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"emailset_id\": 123,\n \"trigger\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"to\": \"<string>\",\n \"disabled\": true,\n \"no_email\": true,\n \"id\": 123,\n \"receipt_context\": {\n \"giving_source\": \"daf\",\n \"recipient_role\": \"soft_credit\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/auto_emails/template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"emailset_id\": 123,\n \"trigger\": \"<string>\",\n \"subject\": \"<string>\",\n \"message\": \"<string>\",\n \"to\": \"<string>\",\n \"disabled\": true,\n \"no_email\": true,\n \"id\": 123,\n \"receipt_context\": {\n \"giving_source\": \"daf\",\n \"recipient_role\": \"soft_credit\"\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>"
}{
"message": "<string>"
}